Package oracle.kv.table

# Interface SequenceDef

public interface SequenceDef
IdentityDef represents an immutable metadata object used to represent the properties of an identity column in a table.

Since:
  4.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SequenceDef`
  `clone()`
  Create a deep copy of this object.
  `oracle.kv.impl.api.table.FieldValueImpl`
  `getCacheValue()`
  Get the cache value of generator.
  `boolean`
  `getCycle()`
  Get the configuration of whether to generate sequence on null.
  `oracle.kv.impl.api.table.FieldValueImpl`
  `getIncrementValue()`
  Get the increment value of generator.
  `oracle.kv.impl.api.table.FieldValueImpl`
  `getMaxValue()`
  Get the max value of generator.
  `oracle.kv.impl.api.table.FieldValueImpl`
  `getMinValue()`
  Get the min value of generator.
  `oracle.kv.impl.api.table.FieldValueImpl`
  `getStartValue()`
  Get the start value of generator.
  `boolean`
  `isSetCacheValue()`
  Returns true if cache is explicitly set.
  `boolean`
  `isSetCycle()`
  Returns true if cycle is explicitly set.
  `boolean`
  `isSetIncrementValue()`
  Returns true if increment value is explicitly set.
  `boolean`
  `isSetMaxValue()`
  Returns true if max value is explicitly set.
  `boolean`
  `isSetMinValue()`
  Returns true if min value is explicitly set.
  `boolean`
  `isSetStartValue()`
  Returns true if start value is explicitly set.

- ## Method Details

  - ### clone

    SequenceDef clone()
    Create a deep copy of this object.
    Returns:
      a new copy

  - ### isSetStartValue

    boolean isSetStartValue()
    Returns true if start value is explicitly set.

  - ### getStartValue

    oracle.kv.impl.api.table.FieldValueImpl getStartValue()
    Get the start value of generator.

  - ### isSetIncrementValue

    boolean isSetIncrementValue()
    Returns true if increment value is explicitly set.

  - ### getIncrementValue

    oracle.kv.impl.api.table.FieldValueImpl getIncrementValue()
    Get the increment value of generator.

  - ### isSetMaxValue

    boolean isSetMaxValue()
    Returns true if max value is explicitly set.

  - ### getMaxValue

    oracle.kv.impl.api.table.FieldValueImpl getMaxValue()
    Get the max value of generator.

  - ### isSetMinValue

    boolean isSetMinValue()
    Returns true if min value is explicitly set.

  - ### getMinValue

    oracle.kv.impl.api.table.FieldValueImpl getMinValue()
    Get the min value of generator.

  - ### isSetCacheValue

    boolean isSetCacheValue()
    Returns true if cache is explicitly set.

  - ### getCacheValue

    oracle.kv.impl.api.table.FieldValueImpl getCacheValue()
    Get the cache value of generator.

  - ### isSetCycle

    boolean isSetCycle()
    Returns true if cycle is explicitly set.

  - ### getCycle

    boolean getCycle()
    Get the configuration of whether to generate sequence on null.